-- A collection of xonsh values for the web-ui
-- This file has been auto-generated by elm-compile.xsh
module XonshData exposing (..)

import List
import String


type alias PromptData =
    { name : String
    , value : String
    , display : String
    }

prompts : List PromptData
prompts =
    [ { name = "default", value = "{env_name}{BOLD_GREEN}{user}@{hostname}{BOLD_BLUE} {cwd}{branch_color}{curr_branch: {}}{RESET} {BOLD_BLUE}{prompt_end}{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">(env) </span><span style=\"color: #007f00; font-weight: bold\">lou@carcolh</span><span style=\"color: #00007f; font-weight: bold\"> ~/snail/stuff</span><span style=\"color: #ff0000; font-weight: bold\"> branch</span><span style=\"\"> </span><span style=\"color: #00007f; font-weight: bold\">$</span><span style=\"\"> </span></code></pre></div>" }
    , { name = "debian chroot", value = "{BOLD_GREEN}{user}@{hostname}{BOLD_BLUE} {cwd}{RESET}> ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007f00; font-weight: bold\">lou@carcolh</span><span style=\"color: #00007f; font-weight: bold\"> ~/snail/stuff</span><span style=\"\">&gt; </span></code></pre></div>" }
    , { name = "minimalist", value = "{BOLD_GREEN}{cwd_base}{RESET} ) ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007f00; font-weight: bold\">stuff</span><span style=\"\"> ) </span></code></pre></div>" }
    , { name = "terlar", value = "{env_name}{BOLD_GREEN}{user}{RESET}@{hostname}:{BOLD_GREEN}{cwd}{RESET}|{gitstatus}\n{BOLD_INTENSE_RED}➤{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">(env) </span><span style=\"color: #007f00; font-weight: bold\">lou</span><span style=\"\">@carcolh:</span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff</span><span style=\"\">|</span><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7\n</span><span style=\"color: #ff0000; font-weight: bold\">➤</span><span style=\"\"> </span></code></pre></div>" }
    , { name = "default with git status", value = "{env_name}{BOLD_GREEN}{user}@{hostname}{BOLD_BLUE} {cwd}{branch_color}{gitstatus: {}}{RESET} {BOLD_BLUE}{prompt_end}{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">(env) </span><span style=\"color: #007f00; font-weight: bold\">lou@carcolh</span><span style=\"color: #00007f; font-weight: bold\"> ~/snail/stuff</span><span style=\"color: #ff0000; font-weight: bold\"> </span><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7 </span><span style=\"color: #00007f; font-weight: bold\">$</span><span style=\"\"> </span></code></pre></div>" }
    , { name = "robbyrussell", value = "{BOLD_INTENSE_RED}➜ {CYAN}{cwd_base} {gitstatus}{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #ff0000; font-weight: bold\">➜ </span><span style=\"color: #007f7f\">stuff branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7 </span></code></pre></div>" }
    , { name = "just a dollar", value = "$ ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">$ </span></code></pre></div>" }
    , { name = "simple pythonista", value = "{INTENSE_RED}{user}{RESET} at {INTENSE_PURPLE}{hostname}{RESET} in {BOLD_GREEN}{cwd}{RESET}\n↪ ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #ff0000\">lou</span><span style=\"\"> at </span><span style=\"color: #ff00ff\">carcolh</span><span style=\"\"> in </span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff</span><span style=\"\">\n↪ </span></code></pre></div>" }
    , { name = "informative", value = "[{localtime}] {YELLOW}{env_name} {BOLD_BLUE}{user}@{hostname} {BOLD_GREEN}{cwd} {gitstatus}{RESET}\n> ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">[15:56:07] </span><span style=\"color: #7f7fe0\">(env)  </span><span style=\"color: #00007f; font-weight: bold\">lou@carcolh </span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff </span><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7\n&gt; </span></code></pre></div>" }
    , { name = "informative Version Control", value = "{YELLOW}{env_name} {BOLD_GREEN}{cwd} {gitstatus}{RESET} {prompt_end} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #7f7fe0\">(env)  </span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff </span><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7 $ </span></code></pre></div>" }
    , { name = "classic", value = "{user}@{hostname} {BOLD_GREEN}{cwd}{RESET}> ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">lou@carcolh </span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff</span><span style=\"\">&gt; </span></code></pre></div>" }
    , { name = "classic with git status", value = "{gitstatus} {RESET}{user}@{hostname} {BOLD_GREEN}{cwd}{RESET}> ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7 lou@carcolh </span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff</span><span style=\"\">&gt; </span></code></pre></div>" }
    , { name = "screen savvy", value = "{YELLOW}{user}@{PURPLE}{hostname}{BOLD_GREEN}{cwd}{RESET}> ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #7f7fe0\">lou@</span><span style=\"color: #7f007f\">carcolh</span><span style=\"color: #007f00; font-weight: bold\">~/snail/stuff</span><span style=\"\">&gt; </span></code></pre></div>" }
    , { name = "sorin", value = "{CYAN}{cwd} {INTENSE_RED}❯{INTENSE_YELLOW}❯{INTENSE_GREEN}❯{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007f7f\">~/snail/stuff </span><span style=\"color: #ff0000\">❯</span><span style=\"color: #ffff00\">❯</span><span style=\"color: #00ff00\">❯</span><span style=\"\"> </span></code></pre></div>" }
    , { name = "acidhub", value = "❰{INTENSE_GREEN}{user}{RESET}❙{YELLOW}{cwd}{RESET}{env_name}❱{gitstatus}≻ ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"\">❰</span><span style=\"color: #00ff00\">lou</span><span style=\"\">❙</span><span style=\"color: #7f7fe0\">~/snail/stuff</span><span style=\"\">(env) ❱</span><span style=\"color: #007f7f\">branch|</span><span style=\"color: #00007f; font-weight: bold\">+2</span><span style=\"\">⚑7≻ </span></code></pre></div>" }
    , { name = "nim", value = "{INTENSE_GREEN}┬─[{YELLOW}{user}{RESET}@{BLUE}{hostname}{RESET}:{cwd}{INTENSE_GREEN}]─[{localtime}]─[{RESET}G:{INTENSE_GREEN}{curr_branch}=]\n{INTENSE_GREEN}╰─>{INTENSE_RED}{prompt_end}{RESET} ", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #00ff00\">┬─[</span><span style=\"color: #7f7fe0\">lou</span><span style=\"\">@</span><span style=\"color: #00007f\">carcolh</span><span style=\"\">:~/snail/stuff</span><span style=\"color: #00ff00\">]─[15:56:07]─[</span><span style=\"\">G:</span><span style=\"color: #00ff00\">branch=]\n╰─&gt;</span><span style=\"color: #ff0000\">$</span><span style=\"\"> </span></code></pre></div>" }
    ]

type alias ColorData =
    { name : String
    , display : String
    }

colors : List ColorData
colors =
    [ { name = "default", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007f00; font-weight: bold\">import</span> <span style=\"color: #0000ff; font-weight: bold\">sys</span>\necho <span style=\"color: #ff0000\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #007f00; font-weight: bold\">@</span>(sys<span style=\"color: #555555\">.</span>platform)\n\n<span style=\"color: #007f00; font-weight: bold\">def</span> <span style=\"color: #0000ff\">func</span>(x<span style=\"color: #555555\">=42</span>):\n    d <span style=\"color: #555555\">=</span> {<span style=\"color: #ff0000\">&quot;xonsh&quot;</span>: <span style=\"color: #007f00; font-weight: bold\">True</span>}\n    <span style=\"color: #007f00; font-weight: bold\">return</span> d<span style=\"color: #555555\">.</span>get(<span style=\"color: #ff0000\">&quot;xonsh&quot;</span>) <span style=\"color: #7f007f; font-weight: bold\">and</span> you\n\n<span style=\"color: #007f7f; text-decoration: underline\"># This is a comment</span>\n<span style=\"color: #007f00; font-weight: bold\">!</span>[<span style=\"color: #007f00\">env</span> |<span style=\"color: #e5e5e5\"> </span><span style=\"color: #007f00\">uniq</span> |<span style=\"color: #e5e5e5\"> </span><span style=\"color: #007f00\">sort</span> |<span style=\"color: #e5e5e5\"> </span><span style=\"color: #007f00\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "abap", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #0000ff\">import</span> <span style=\"color: #000000\">sys</span>\n<span style=\"color: #000000\">echo</span> <span style=\"color: #55aa22\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #0000ff\">@</span>(<span style=\"color: #000000\">sys</span>.<span style=\"color: #000000\">platform</span>)\n\n<span style=\"color: #0000ff\">def</span> <span style=\"color: #000000\">func</span>(<span style=\"color: #000000\">x</span>=<span style=\"color: #33aaff\">42</span>):\n    <span style=\"color: #000000\">d</span> = {<span style=\"color: #55aa22\">&quot;xonsh&quot;</span>: <span style=\"color: #0000ff\">True</span>}\n    <span style=\"color: #0000ff\">return</span> <span style=\"color: #000000\">d</span>.<span style=\"color: #000000\">get</span>(<span style=\"color: #55aa22\">&quot;xonsh&quot;</span>) <span style=\"color: #0000ff\">and</span> <span style=\"color: #000000\">you</span>\n\n<span style=\"color: #888888; font-style: italic\"># This is a comment</span>\n<span style=\"color: #0000ff\">!</span>[<span style=\"color: #000000\">env</span> | <span style=\"color: #000000\">uniq</span> | <span style=\"color: #000000\">sort</span> | <span style=\"color: #000000\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "algol", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"font-weight: bold; text-decoration: underline\">import</span> <span style=\"color: #666666; font-weight: bold; font-style: italic\">sys</span>\necho <span style=\"color: #666666; font-style: italic\">&quot;Welcome $USER on&quot;</span> <span style=\"font-weight: bold; text-decoration: underline\">@</span>(sys.platform)\n\n<span style=\"font-weight: bold; text-decoration: underline\">def</span> <span style=\"color: #666666; font-weight: bold; font-style: italic\">func</span>(x=42):\n    d = {<span style=\"color: #666666; font-style: italic\">&quot;xonsh&quot;</span>: <span style=\"font-weight: bold; text-decoration: underline\">True</span>}\n    <span style=\"font-weight: bold; text-decoration: underline\">return</span> d.get(<span style=\"color: #666666; font-style: italic\">&quot;xonsh&quot;</span>) <span style=\"font-weight: bold\">and</span> you\n\n<span style=\"color: #888888; font-style: italic\"># This is a comment</span>\n<span style=\"font-weight: bold; text-decoration: underline\">!</span>[<span style=\"font-weight: bold; font-style: italic\">env</span> | <span style=\"font-weight: bold; font-style: italic\">uniq</span> | <span style=\"font-weight: bold; font-style: italic\">sort</span> | <span style=\"font-weight: bold; font-style: italic\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "algol_nu", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"font-weight: bold\">import</span> <span style=\"color: #666666; font-weight: bold; font-style: italic\">sys</span>\necho <span style=\"color: #666666; font-style: italic\">&quot;Welcome $USER on&quot;</span> <span style=\"font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"font-weight: bold\">def</span> <span style=\"color: #666666; font-weight: bold; font-style: italic\">func</span>(x=42):\n    d = {<span style=\"color: #666666; font-style: italic\">&quot;xonsh&quot;</span>: <span style=\"font-weight: bold\">True</span>}\n    <span style=\"font-weight: bold\">return</span> d.get(<span style=\"color: #666666; font-style: italic\">&quot;xonsh&quot;</span>) <span style=\"font-weight: bold\">and</span> you\n\n<span style=\"color: #888888; font-style: italic\"># This is a comment</span>\n<span style=\"font-weight: bold\">!</span>[<span style=\"font-weight: bold; font-style: italic\">env</span> | <span style=\"font-weight: bold; font-style: italic\">uniq</span> | <span style=\"font-weight: bold; font-style: italic\">sort</span> | <span style=\"font-weight: bold; font-style: italic\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "arduino", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #728E00\">import</span> <span style=\"color: #434f54\">sys</span>\n<span style=\"color: #434f54\">echo</span> <span style=\"color: #7F8C8D\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #728E00\">@</span>(<span style=\"color: #434f54\">sys</span><span style=\"color: #728E00\">.</span><span style=\"color: #434f54\">platform</span>)\n\n<span style=\"color: #728E00\">def</span> <span style=\"color: #D35400\">func</span>(<span style=\"color: #434f54\">x</span><span style=\"color: #728E00\">=</span><span style=\"color: #8A7B52\">42</span>):\n    <span style=\"color: #434f54\">d</span> <span style=\"color: #728E00\">=</span> {<span style=\"color: #7F8C8D\">&quot;xonsh&quot;</span>: <span style=\"color: #00979D\">True</span>}\n    <span style=\"color: #728E00\">return</span> <span style=\"color: #434f54\">d</span><span style=\"color: #728E00\">.</span><span style=\"color: #434f54\">get</span>(<span style=\"color: #7F8C8D\">&quot;xonsh&quot;</span>) <span style=\"color: #728E00\">and</span> <span style=\"color: #434f54\">you</span>\n\n<span style=\"color: #95a5a6\"># This is a comment</span>\n<span style=\"color: #728E00\">!</span>[<span style=\"color: #728E00\">env</span> | <span style=\"color: #728E00\">uniq</span> | <span style=\"color: #728E00\">sort</span> | <span style=\"color: #728E00\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "autumn", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #0000aa\">import</span> <span style=\"color: #00aaaa; text-decoration: underline\">sys</span>\necho <span style=\"color: #aa5500\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #0000aa\">@</span>(sys.platform)\n\n<span style=\"color: #0000aa\">def</span> <span style=\"color: #00aa00\">func</span>(x=<span style=\"color: #009999\">42</span>):\n    d = {<span style=\"color: #aa5500\">&quot;xonsh&quot;</span>: <span style=\"color: #0000aa\">True</span>}\n    <span style=\"color: #0000aa\">return</span> d.get(<span style=\"color: #aa5500\">&quot;xonsh&quot;</span>) <span style=\"color: #0000aa\">and</span> you\n\n<span style=\"color: #aaaaaa; font-style: italic\"># This is a comment</span>\n<span style=\"color: #0000aa\">!</span>[<span style=\"color: #00aaaa\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #00aaaa\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #00aaaa\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #00aaaa\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "borland", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #000080; font-weight: bold\">import</span> sys\necho <span style=\"color: #0000FF\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #000080; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #000080; font-weight: bold\">def</span> func(x=<span style=\"color: #0000FF\">42</span>):\n    d = {<span style=\"color: #0000FF\">&quot;xonsh&quot;</span>: <span style=\"color: #000080; font-weight: bold\">True</span>}\n    <span style=\"color: #000080; font-weight: bold\">return</span> d.get(<span style=\"color: #0000FF\">&quot;xonsh&quot;</span>) <span style=\"font-weight: bold\">and</span> you\n\n<span style=\"color: #008800; font-style: italic\"># This is a comment</span>\n<span style=\"color: #000080; font-weight: bold\">!</span>[env |<span style=\"color: #bbbbbb\"> </span>uniq |<span style=\"color: #bbbbbb\"> </span>sort |<span style=\"color: #bbbbbb\"> </span>grep PATH]\n</code></pre></div>" }
    , { name = "bw", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"font-weight: bold\">import</span> <span style=\"font-weight: bold\">sys</span>\necho <span style=\"font-style: italic\">&quot;Welcome $USER on&quot;</span> <span style=\"font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"font-weight: bold\">def</span> func(x=42):\n    d = {<span style=\"font-style: italic\">&quot;xonsh&quot;</span>: <span style=\"font-weight: bold\">True</span>}\n    <span style=\"font-weight: bold\">return</span> d.get(<span style=\"font-style: italic\">&quot;xonsh&quot;</span>) <span style=\"font-weight: bold\">and</span> you\n\n<span style=\"font-style: italic\"># This is a comment</span>\n<span style=\"font-weight: bold\">!</span>[env | uniq | sort | grep PATH]\n</code></pre></div>" }
    , { name = "colorful", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #008800; font-weight: bold\">import</span> <span style=\"color: #0e84b5; font-weight: bold\">sys</span>\necho <span style=\"background-color: #fff0f0\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #008800; font-weight: bold\">@</span>(sys<span style=\"color: #333333\">.</span>platform)\n\n<span style=\"color: #008800; font-weight: bold\">def</span> <span style=\"color: #0066BB; font-weight: bold\">func</span>(x<span style=\"color: #333333\">=</span><span style=\"color: #0000DD; font-weight: bold\">42</span>):\n    d <span style=\"color: #333333\">=</span> {<span style=\"background-color: #fff0f0\">&quot;xonsh&quot;</span>: <span style=\"color: #008800; font-weight: bold\">True</span>}\n    <span style=\"color: #008800; font-weight: bold\">return</span> d<span style=\"color: #333333\">.</span>get(<span style=\"background-color: #fff0f0\">&quot;xonsh&quot;</span>) <span style=\"color: #000000; font-weight: bold\">and</span> you\n\n<span style=\"color: #888888\"># This is a comment</span>\n<span style=\"color: #008800; font-weight: bold\">!</span>[<span style=\"color: #007020\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "emacs", display = "<div class=\"highlight\" style=\"background: #f8f8f8; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #070707; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #AA22FF; font-weight: bold\">import</span> <span style=\"color: #0000FF; font-weight: bold\">sys</span>\necho <span style=\"color: #BB4444\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #AA22FF; font-weight: bold\">@</span>(sys<span style=\"color: #666666\">.</span>platform)\n\n<span style=\"color: #AA22FF; font-weight: bold\">def</span> <span style=\"color: #00A000\">func</span>(x<span style=\"color: #666666\">=42</span>):\n    d <span style=\"color: #666666\">=</span> {<span style=\"color: #BB4444\">&quot;xonsh&quot;</span>: <span style=\"color: #AA22FF; font-weight: bold\">True</span>}\n    <span style=\"color: #AA22FF; font-weight: bold\">return</span> d<span style=\"color: #666666\">.</span>get(<span style=\"color: #BB4444\">&quot;xonsh&quot;</span>) <span style=\"color: #AA22FF; font-weight: bold\">and</span> you\n\n<span style=\"color: #008800; font-style: italic\"># This is a comment</span>\n<span style=\"color: #AA22FF; font-weight: bold\">!</span>[<span style=\"color: #AA22FF\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #AA22FF\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #AA22FF\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #AA22FF\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "friendly", display = "<div class=\"highlight\" style=\"background: #f0f0f0; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #0f0f0f; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #007020; font-weight: bold\">import</span> <span style=\"color: #0e84b5; font-weight: bold\">sys</span>\necho <span style=\"color: #4070a0\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #007020; font-weight: bold\">@</span>(sys<span style=\"color: #666666\">.</span>platform)\n\n<span style=\"color: #007020; font-weight: bold\">def</span> <span style=\"color: #06287e\">func</span>(x<span style=\"color: #666666\">=</span><span style=\"color: #40a070\">42</span>):\n    d <span style=\"color: #666666\">=</span> {<span style=\"color: #4070a0\">&quot;xonsh&quot;</span>: <span style=\"color: #007020; font-weight: bold\">True</span>}\n    <span style=\"color: #007020; font-weight: bold\">return</span> d<span style=\"color: #666666\">.</span>get(<span style=\"color: #4070a0\">&quot;xonsh&quot;</span>) <span style=\"color: #007020; font-weight: bold\">and</span> you\n\n<span style=\"color: #60a0b0; font-style: italic\"># This is a comment</span>\n<span style=\"color: #007020; font-weight: bold\">!</span>[<span style=\"color: #007020\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007020\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "fruity", display = "<div class=\"highlight\" style=\"background: #111111; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #ffffff; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #fb660a; font-weight: bold\">import</span> <span style=\"color: #ffffff\">sys</span>\n<span style=\"color: #ffffff\">echo</span> <span style=\"color: #0086d2\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #fb660a; font-weight: bold\">@</span><span style=\"color: #ffffff\">(sys.platform)</span>\n\n<span style=\"color: #fb660a; font-weight: bold\">def</span> <span style=\"color: #ff0086; font-weight: bold\">func</span><span style=\"color: #ffffff\">(x=</span><span style=\"color: #0086f7; font-weight: bold\">42</span><span style=\"color: #ffffff\">):</span>\n    <span style=\"color: #ffffff\">d</span> <span style=\"color: #ffffff\">=</span> <span style=\"color: #ffffff\">{</span><span style=\"color: #0086d2\">&quot;xonsh&quot;</span><span style=\"color: #ffffff\">:</span> <span style=\"color: #fb660a; font-weight: bold\">True</span><span style=\"color: #ffffff\">}</span>\n    <span style=\"color: #fb660a; font-weight: bold\">return</span> <span style=\"color: #ffffff\">d.get(</span><span style=\"color: #0086d2\">&quot;xonsh&quot;</span><span style=\"color: #ffffff\">)</span> <span style=\"color: #ffffff\">and</span> <span style=\"color: #ffffff\">you</span>\n\n<span style=\"color: #008800; font-style: italic; background-color: #0f140f\"># This is a comment</span>\n<span style=\"color: #fb660a; font-weight: bold\">!</span><span style=\"color: #ffffff\">[env</span> <span style=\"color: #ffffff\">|</span><span style=\"color: #888888\"> </span><span style=\"color: #ffffff\">uniq</span> <span style=\"color: #ffffff\">|</span><span style=\"color: #888888\"> </span><span style=\"color: #ffffff\">sort</span> <span style=\"color: #ffffff\">|</span><span style=\"color: #888888\"> </span><span style=\"color: #ffffff\">grep</span> PATH<span style=\"color: #ffffff\">]</span>\n</code></pre></div>" }
    , { name = "igor", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #0000FF\">import</span> sys\necho <span style=\"color: #009C00\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #0000FF\">@</span>(sys.platform)\n\n<span style=\"color: #0000FF\">def</span> <span style=\"color: #C34E00\">func</span>(x=42):\n    d = {<span style=\"color: #009C00\">&quot;xonsh&quot;</span>: <span style=\"color: #0000FF\">True</span>}\n    <span style=\"color: #0000FF\">return</span> d.get(<span style=\"color: #009C00\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #FF0000; font-style: italic\"># This is a comment</span>\n<span style=\"color: #0000FF\">!</span>[env | uniq | sort | grep PATH]\n</code></pre></div>" }
    , { name = "inkpot", display = "<div class=\"highlight\" style=\"background: #1e1e27; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #cfbfad; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #808bed\">import</span> <span style=\"color: #ff0000\">sys</span>\n<span style=\"color: #cfbfad\">echo</span> <span style=\"color: #ffcd8b; background-color: #404040\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #808bed\">@</span><span style=\"color: #cfbfad\">(sys</span><span style=\"color: #666666\">.</span><span style=\"color: #cfbfad\">platform)</span>\n\n<span style=\"color: #808bed\">def</span> <span style=\"color: #c080d0\">func</span><span style=\"color: #cfbfad\">(x</span><span style=\"color: #666666\">=</span><span style=\"color: #f0ad6d\">42</span><span style=\"color: #cfbfad\">):</span>\n    <span style=\"color: #cfbfad\">d</span> <span style=\"color: #666666\">=</span> <span style=\"color: #cfbfad\">{</span><span style=\"color: #ffcd8b; background-color: #404040\">&quot;xonsh&quot;</span><span style=\"color: #cfbfad\">:</span> <span style=\"color: #808bed\">True</span><span style=\"color: #cfbfad\">}</span>\n    <span style=\"color: #808bed\">return</span> <span style=\"color: #cfbfad\">d</span><span style=\"color: #666666\">.</span><span style=\"color: #cfbfad\">get(</span><span style=\"color: #ffcd8b; background-color: #404040\">&quot;xonsh&quot;</span><span style=\"color: #cfbfad\">)</span> <span style=\"color: #666666\">and</span> <span style=\"color: #cfbfad\">you</span>\n\n<span style=\"color: #cd8b00\"># This is a comment</span>\n<span style=\"color: #808bed\">!</span><span style=\"color: #cfbfad\">[</span><span style=\"color: #808bed\">env</span> <span style=\"color: #cfbfad\">|</span><span style=\"color: #434357\"> </span><span style=\"color: #808bed\">uniq</span> <span style=\"color: #cfbfad\">|</span><span style=\"color: #434357\"> </span><span style=\"color: #808bed\">sort</span> <span style=\"color: #cfbfad\">|</span><span style=\"color: #434357\"> </span><span style=\"color: #808bed\">grep</span> PATH<span style=\"color: #cfbfad\">]</span>\n</code></pre></div>" }
    , { name = "lovelace", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #2838b0\">import</span> <span style=\"color: #289870\">sys</span>\necho <span style=\"color: #b83838\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #2838b0\">@</span><span style=\"color: #888888\">(</span>sys<span style=\"color: #666666\">.</span>platform<span style=\"color: #888888\">)</span>\n\n<span style=\"color: #2838b0\">def</span> <span style=\"color: #785840\">func</span><span style=\"color: #888888\">(</span>x<span style=\"color: #666666\">=</span><span style=\"color: #444444\">42</span><span style=\"color: #888888\">):</span>\n    d <span style=\"color: #666666\">=</span> <span style=\"color: #888888\">{</span><span style=\"color: #b83838\">&quot;xonsh&quot;</span><span style=\"color: #888888\">:</span> <span style=\"color: #444444; font-style: italic\">True</span><span style=\"color: #888888\">}</span>\n    <span style=\"color: #2838b0\">return</span> d<span style=\"color: #666666\">.</span>get<span style=\"color: #888888\">(</span><span style=\"color: #b83838\">&quot;xonsh&quot;</span><span style=\"color: #888888\">)</span> <span style=\"color: #a848a8\">and</span> you\n\n<span style=\"color: #888888; font-style: italic\"># This is a comment</span>\n<span style=\"color: #2838b0\">!</span><span style=\"color: #888888\">[</span><span style=\"color: #388038\">env</span> <span style=\"color: #888888\">|</span><span style=\"color: #a89028\"> </span><span style=\"color: #388038\">uniq</span> <span style=\"color: #888888\">|</span><span style=\"color: #a89028\"> </span><span style=\"color: #388038\">sort</span> <span style=\"color: #888888\">|</span><span style=\"color: #a89028\"> </span><span style=\"color: #388038\">grep</span> PATH<span style=\"color: #888888\">]</span>\n</code></pre></div>" }
    , { name = "manni", display = "<div class=\"highlight\" style=\"background: #f0f3f3; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #0f0c0c; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #006699; font-weight: bold\">import</span> <span style=\"color: #00CCFF; font-weight: bold\">sys</span>\necho <span style=\"color: #CC3300\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #006699; font-weight: bold\">@</span>(sys<span style=\"color: #555555\">.</span>platform)\n\n<span style=\"color: #006699; font-weight: bold\">def</span> <span style=\"color: #CC00FF\">func</span>(x<span style=\"color: #555555\">=</span><span style=\"color: #FF6600\">42</span>):\n    d <span style=\"color: #555555\">=</span> {<span style=\"color: #CC3300\">&quot;xonsh&quot;</span>: <span style=\"color: #006699; font-weight: bold\">True</span>}\n    <span style=\"color: #006699; font-weight: bold\">return</span> d<span style=\"color: #555555\">.</span>get(<span style=\"color: #CC3300\">&quot;xonsh&quot;</span>) <span style=\"color: #000000; font-weight: bold\">and</span> you\n\n<span style=\"color: #0099FF; font-style: italic\"># This is a comment</span>\n<span style=\"color: #006699; font-weight: bold\">!</span>[<span style=\"color: #336666\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #336666\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #336666\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #336666\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "monokai", display = "<div class=\"highlight\" style=\"background: #272822; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #f8f8f2; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #f92672\">import</span> <span style=\"color: #f8f8f2\">sys</span>\n<span style=\"color: #f8f8f2\">echo</span> <span style=\"color: #e6db74\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #66d9ef\">@</span><span style=\"color: #f8f8f2\">(sys</span><span style=\"color: #f92672\">.</span><span style=\"color: #f8f8f2\">platform)</span>\n\n<span style=\"color: #66d9ef\">def</span> <span style=\"color: #a6e22e\">func</span><span style=\"color: #f8f8f2\">(x</span><span style=\"color: #f92672\">=</span><span style=\"color: #ae81ff\">42</span><span style=\"color: #f8f8f2\">):</span>\n    <span style=\"color: #f8f8f2\">d</span> <span style=\"color: #f92672\">=</span> <span style=\"color: #f8f8f2\">{</span><span style=\"color: #e6db74\">&quot;xonsh&quot;</span><span style=\"color: #f8f8f2\">:</span> <span style=\"color: #66d9ef\">True</span><span style=\"color: #f8f8f2\">}</span>\n    <span style=\"color: #66d9ef\">return</span> <span style=\"color: #f8f8f2\">d</span><span style=\"color: #f92672\">.</span><span style=\"color: #f8f8f2\">get(</span><span style=\"color: #e6db74\">&quot;xonsh&quot;</span><span style=\"color: #f8f8f2\">)</span> <span style=\"color: #f92672\">and</span> <span style=\"color: #f8f8f2\">you</span>\n\n<span style=\"color: #75715e\"># This is a comment</span>\n<span style=\"color: #66d9ef\">!</span><span style=\"color: #f8f8f2\">[env</span> <span style=\"color: #f8f8f2\">| uniq</span> <span style=\"color: #f8f8f2\">| sort</span> <span style=\"color: #f8f8f2\">| grep</span> PATH<span style=\"color: #f8f8f2\">]</span>\n</code></pre></div>" }
    , { name = "murphy", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #228899; font-weight: bold\">import</span> <span style=\"color: #0e84b5; font-weight: bold\">sys</span>\necho <span style=\"background-color: #e0e0ff\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #228899; font-weight: bold\">@</span>(sys<span style=\"color: #333333\">.</span>platform)\n\n<span style=\"color: #228899; font-weight: bold\">def</span> <span style=\"color: #55eedd; font-weight: bold\">func</span>(x<span style=\"color: #333333\">=</span><span style=\"color: #6666ff; font-weight: bold\">42</span>):\n    d <span style=\"color: #333333\">=</span> {<span style=\"background-color: #e0e0ff\">&quot;xonsh&quot;</span>: <span style=\"color: #228899; font-weight: bold\">True</span>}\n    <span style=\"color: #228899; font-weight: bold\">return</span> d<span style=\"color: #333333\">.</span>get(<span style=\"background-color: #e0e0ff\">&quot;xonsh&quot;</span>) <span style=\"color: #000000; font-weight: bold\">and</span> you\n\n<span style=\"color: #666666; font-style: italic\"># This is a comment</span>\n<span style=\"color: #228899; font-weight: bold\">!</span>[<span style=\"color: #007722\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007722\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007722\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #007722\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "native", display = "<div class=\"highlight\" style=\"background: #202020; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #d0d0d0; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #6ab825; font-weight: bold\">import</span> <span style=\"color: #447fcf; text-decoration: underline\">sys</span>\n<span style=\"color: #d0d0d0\">echo</span> <span style=\"color: #ed9d13\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #6ab825; font-weight: bold\">@</span><span style=\"color: #d0d0d0\">(sys.platform)</span>\n\n<span style=\"color: #6ab825; font-weight: bold\">def</span> <span style=\"color: #447fcf\">func</span><span style=\"color: #d0d0d0\">(x=</span><span style=\"color: #3677a9\">42</span><span style=\"color: #d0d0d0\">):</span>\n    <span style=\"color: #d0d0d0\">d</span> <span style=\"color: #d0d0d0\">=</span> <span style=\"color: #d0d0d0\">{</span><span style=\"color: #ed9d13\">&quot;xonsh&quot;</span><span style=\"color: #d0d0d0\">:</span> <span style=\"color: #6ab825; font-weight: bold\">True</span><span style=\"color: #d0d0d0\">}</span>\n    <span style=\"color: #6ab825; font-weight: bold\">return</span> <span style=\"color: #d0d0d0\">d.get(</span><span style=\"color: #ed9d13\">&quot;xonsh&quot;</span><span style=\"color: #d0d0d0\">)</span> <span style=\"color: #6ab825; font-weight: bold\">and</span> <span style=\"color: #d0d0d0\">you</span>\n\n<span style=\"color: #999999; font-style: italic\"># This is a comment</span>\n<span style=\"color: #6ab825; font-weight: bold\">!</span><span style=\"color: #d0d0d0\">[</span><span style=\"color: #24909d\">env</span> <span style=\"color: #d0d0d0\">|</span><span style=\"color: #666666\"> </span><span style=\"color: #24909d\">uniq</span> <span style=\"color: #d0d0d0\">|</span><span style=\"color: #666666\"> </span><span style=\"color: #24909d\">sort</span> <span style=\"color: #d0d0d0\">|</span><span style=\"color: #666666\"> </span><span style=\"color: #24909d\">grep</span> PATH<span style=\"color: #d0d0d0\">]</span>\n</code></pre></div>" }
    , { name = "paraiso-dark", display = "<div class=\"highlight\" style=\"background: #2f1e2e; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #e7e9db; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #5bc4bf\">import</span> <span style=\"color: #fec418\">sys</span>\n<span style=\"color: #e7e9db\">echo</span> <span style=\"color: #48b685\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #815ba4\">@</span><span style=\"color: #e7e9db\">(sys</span><span style=\"color: #5bc4bf\">.</span><span style=\"color: #e7e9db\">platform)</span>\n\n<span style=\"color: #815ba4\">def</span> <span style=\"color: #06b6ef\">func</span><span style=\"color: #e7e9db\">(x</span><span style=\"color: #5bc4bf\">=</span><span style=\"color: #f99b15\">42</span><span style=\"color: #e7e9db\">):</span>\n    <span style=\"color: #e7e9db\">d</span> <span style=\"color: #5bc4bf\">=</span> <span style=\"color: #e7e9db\">{</span><span style=\"color: #48b685\">&quot;xonsh&quot;</span><span style=\"color: #e7e9db\">:</span> <span style=\"color: #815ba4\">True</span><span style=\"color: #e7e9db\">}</span>\n    <span style=\"color: #815ba4\">return</span> <span style=\"color: #e7e9db\">d</span><span style=\"color: #5bc4bf\">.</span><span style=\"color: #e7e9db\">get(</span><span style=\"color: #48b685\">&quot;xonsh&quot;</span><span style=\"color: #e7e9db\">)</span> <span style=\"color: #5bc4bf\">and</span> <span style=\"color: #e7e9db\">you</span>\n\n<span style=\"color: #776e71\"># This is a comment</span>\n<span style=\"color: #815ba4\">!</span><span style=\"color: #e7e9db\">[env</span> <span style=\"color: #e7e9db\">| uniq</span> <span style=\"color: #e7e9db\">| sort</span> <span style=\"color: #e7e9db\">| grep</span> PATH<span style=\"color: #e7e9db\">]</span>\n</code></pre></div>" }
    , { name = "paraiso-light", display = "<div class=\"highlight\" style=\"background: #e7e9db; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #2f1e2e; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #5bc4bf\">import</span> <span style=\"color: #fec418\">sys</span>\n<span style=\"color: #2f1e2e\">echo</span> <span style=\"color: #48b685\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #815ba4\">@</span><span style=\"color: #2f1e2e\">(sys</span><span style=\"color: #5bc4bf\">.</span><span style=\"color: #2f1e2e\">platform)</span>\n\n<span style=\"color: #815ba4\">def</span> <span style=\"color: #06b6ef\">func</span><span style=\"color: #2f1e2e\">(x</span><span style=\"color: #5bc4bf\">=</span><span style=\"color: #f99b15\">42</span><span style=\"color: #2f1e2e\">):</span>\n    <span style=\"color: #2f1e2e\">d</span> <span style=\"color: #5bc4bf\">=</span> <span style=\"color: #2f1e2e\">{</span><span style=\"color: #48b685\">&quot;xonsh&quot;</span><span style=\"color: #2f1e2e\">:</span> <span style=\"color: #815ba4\">True</span><span style=\"color: #2f1e2e\">}</span>\n    <span style=\"color: #815ba4\">return</span> <span style=\"color: #2f1e2e\">d</span><span style=\"color: #5bc4bf\">.</span><span style=\"color: #2f1e2e\">get(</span><span style=\"color: #48b685\">&quot;xonsh&quot;</span><span style=\"color: #2f1e2e\">)</span> <span style=\"color: #5bc4bf\">and</span> <span style=\"color: #2f1e2e\">you</span>\n\n<span style=\"color: #8d8687\"># This is a comment</span>\n<span style=\"color: #815ba4\">!</span><span style=\"color: #2f1e2e\">[env</span> <span style=\"color: #2f1e2e\">| uniq</span> <span style=\"color: #2f1e2e\">| sort</span> <span style=\"color: #2f1e2e\">| grep</span> PATH<span style=\"color: #2f1e2e\">]</span>\n</code></pre></div>" }
    , { name = "pastie", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #008800; font-weight: bold\">import</span> <span style=\"color: #bb0066; font-weight: bold\">sys</span>\necho <span style=\"color: #dd2200; background-color: #fff0f0\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #008800; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #008800; font-weight: bold\">def</span> <span style=\"color: #0066bb; font-weight: bold\">func</span>(x=<span style=\"color: #0000DD; font-weight: bold\">42</span>):\n    d = {<span style=\"color: #dd2200; background-color: #fff0f0\">&quot;xonsh&quot;</span>: <span style=\"color: #008800; font-weight: bold\">True</span>}\n    <span style=\"color: #008800; font-weight: bold\">return</span> d.get(<span style=\"color: #dd2200; background-color: #fff0f0\">&quot;xonsh&quot;</span>) <span style=\"color: #008800\">and</span> you\n\n<span style=\"color: #888888\"># This is a comment</span>\n<span style=\"color: #008800; font-weight: bold\">!</span>[<span style=\"color: #003388\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #003388\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #003388\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #003388\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "perldoc", display = "<div class=\"highlight\" style=\"background: #eeeedd; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #111122; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #8B008B; font-weight: bold\">import</span> <span style=\"color: #008b45; text-decoration: underline\">sys</span>\necho <span style=\"color: #CD5555\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #8B008B; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #8B008B; font-weight: bold\">def</span> <span style=\"color: #008b45\">func</span>(x=<span style=\"color: #B452CD\">42</span>):\n    d = {<span style=\"color: #CD5555\">&quot;xonsh&quot;</span>: <span style=\"color: #8B008B; font-weight: bold\">True</span>}\n    <span style=\"color: #8B008B; font-weight: bold\">return</span> d.get(<span style=\"color: #CD5555\">&quot;xonsh&quot;</span>) <span style=\"color: #8B008B\">and</span> you\n\n<span style=\"color: #228B22\"># This is a comment</span>\n<span style=\"color: #8B008B; font-weight: bold\">!</span>[<span style=\"color: #658b00\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #658b00\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #658b00\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #658b00\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "rainbow_dash", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #4d4d4d; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #2c5dcd; font-weight: bold\">import</span> sys\necho <span style=\"color: #00cc66\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #2c5dcd; font-weight: bold\">@</span>(sys<span style=\"color: #2c5dcd\">.</span>platform)\n\n<span style=\"color: #2c5dcd; font-weight: bold\">def</span> <span style=\"color: #ff8000; font-weight: bold\">func</span>(x<span style=\"color: #2c5dcd\">=</span><span style=\"color: #5918bb; font-weight: bold\">42</span>):\n    d <span style=\"color: #2c5dcd\">=</span> {<span style=\"color: #00cc66\">&quot;xonsh&quot;</span>: <span style=\"color: #2c5dcd; font-weight: bold\">True</span>}\n    <span style=\"color: #2c5dcd; font-weight: bold\">return</span> d<span style=\"color: #2c5dcd\">.</span>get(<span style=\"color: #00cc66\">&quot;xonsh&quot;</span>) <span style=\"color: #2c5dcd; font-weight: bold\">and</span> you\n\n<span style=\"color: #0080ff; font-style: italic\"># This is a comment</span>\n<span style=\"color: #2c5dcd; font-weight: bold\">!</span>[<span style=\"color: #5918bb; font-weight: bold\">env</span> |<span style=\"color: #cbcbcb\"> </span><span style=\"color: #5918bb; font-weight: bold\">uniq</span> |<span style=\"color: #cbcbcb\"> </span><span style=\"color: #5918bb; font-weight: bold\">sort</span> |<span style=\"color: #cbcbcb\"> </span><span style=\"color: #5918bb; font-weight: bold\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "rrt", display = "<div class=\"highlight\" style=\"background: #000000; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #ffffff; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #ff0000\">import</span> sys\necho <span style=\"color: #87ceeb\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #ff0000\">@</span>(sys.platform)\n\n<span style=\"color: #ff0000\">def</span> <span style=\"color: #ffff00\">func</span>(x=42):\n    d = {<span style=\"color: #87ceeb\">&quot;xonsh&quot;</span>: <span style=\"color: #ff0000\">True</span>}\n    <span style=\"color: #ff0000\">return</span> d.get(<span style=\"color: #87ceeb\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #00ff00\"># This is a comment</span>\n<span style=\"color: #ff0000\">!</span>[env | uniq | sort | grep PATH]\n</code></pre></div>" }
    , { name = "sas", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #2c2cff\">import</span> sys\necho <span style=\"color: #800080\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #2c2cff\">@</span>(sys.platform)\n\n<span style=\"color: #2c2cff\">def</span> <span style=\"font-weight: bold; font-style: italic\">func</span>(x=<span style=\"color: #2e8b57; font-weight: bold\">42</span>):\n    d = {<span style=\"color: #800080\">&quot;xonsh&quot;</span>: <span style=\"color: #2c2cff; font-weight: bold\">True</span>}\n    <span style=\"color: #2c2cff\">return</span> d.get(<span style=\"color: #800080\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #008800; font-style: italic\"># This is a comment</span>\n<span style=\"color: #2c2cff\">!</span>[<span style=\"color: #2c2cff\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #2c2cff\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #2c2cff\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #2c2cff\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "solarized-dark", display = "<div class=\"highlight\" style=\"background: #002b36; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #839496; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #cb4b16\">import</span> <span style=\"color: #268bd2\">sys</span>\n<span style=\"color: #839496\">echo</span> <span style=\"color: #2aa198\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #859900\">@</span><span style=\"color: #839496\">(sys</span><span style=\"color: #586e75\">.</span><span style=\"color: #839496\">platform)</span>\n\n<span style=\"color: #859900\">def</span> <span style=\"color: #268bd2\">func</span><span style=\"color: #839496\">(x</span><span style=\"color: #586e75\">=</span><span style=\"color: #2aa198\">42</span><span style=\"color: #839496\">):</span>\n    <span style=\"color: #839496\">d</span> <span style=\"color: #586e75\">=</span> <span style=\"color: #839496\">{</span><span style=\"color: #2aa198\">&quot;xonsh&quot;</span><span style=\"color: #839496\">:</span> <span style=\"color: #2aa198\">True</span><span style=\"color: #839496\">}</span>\n    <span style=\"color: #859900\">return</span> <span style=\"color: #839496\">d</span><span style=\"color: #586e75\">.</span><span style=\"color: #839496\">get(</span><span style=\"color: #2aa198\">&quot;xonsh&quot;</span><span style=\"color: #839496\">)</span> <span style=\"color: #859900\">and</span> <span style=\"color: #839496\">you</span>\n\n<span style=\"color: #586e75; font-style: italic\"># This is a comment</span>\n<span style=\"color: #859900\">!</span><span style=\"color: #839496\">[</span><span style=\"color: #268bd2\">env</span> <span style=\"color: #839496\">| </span><span style=\"color: #268bd2\">uniq</span> <span style=\"color: #839496\">| </span><span style=\"color: #268bd2\">sort</span> <span style=\"color: #839496\">| </span><span style=\"color: #268bd2\">grep</span> PATH<span style=\"color: #839496\">]</span>\n</code></pre></div>" }
    , { name = "solarized-light", display = "<div class=\"highlight\" style=\"background: #fdf6e3; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #657b83; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #cb4b16\">import</span> <span style=\"color: #268bd2\">sys</span>\n<span style=\"color: #657b83\">echo</span> <span style=\"color: #2aa198\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #859900\">@</span><span style=\"color: #657b83\">(sys</span><span style=\"color: #93a1a1\">.</span><span style=\"color: #657b83\">platform)</span>\n\n<span style=\"color: #859900\">def</span> <span style=\"color: #268bd2\">func</span><span style=\"color: #657b83\">(x</span><span style=\"color: #93a1a1\">=</span><span style=\"color: #2aa198\">42</span><span style=\"color: #657b83\">):</span>\n    <span style=\"color: #657b83\">d</span> <span style=\"color: #93a1a1\">=</span> <span style=\"color: #657b83\">{</span><span style=\"color: #2aa198\">&quot;xonsh&quot;</span><span style=\"color: #657b83\">:</span> <span style=\"color: #2aa198\">True</span><span style=\"color: #657b83\">}</span>\n    <span style=\"color: #859900\">return</span> <span style=\"color: #657b83\">d</span><span style=\"color: #93a1a1\">.</span><span style=\"color: #657b83\">get(</span><span style=\"color: #2aa198\">&quot;xonsh&quot;</span><span style=\"color: #657b83\">)</span> <span style=\"color: #859900\">and</span> <span style=\"color: #657b83\">you</span>\n\n<span style=\"color: #93a1a1; font-style: italic\"># This is a comment</span>\n<span style=\"color: #859900\">!</span><span style=\"color: #657b83\">[</span><span style=\"color: #268bd2\">env</span> <span style=\"color: #657b83\">| </span><span style=\"color: #268bd2\">uniq</span> <span style=\"color: #657b83\">| </span><span style=\"color: #268bd2\">sort</span> <span style=\"color: #657b83\">| </span><span style=\"color: #268bd2\">grep</span> PATH<span style=\"color: #657b83\">]</span>\n</code></pre></div>" }
    , { name = "stata", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #111111; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #353580; font-weight: bold\">import</span> sys\necho <span style=\"color: #7a2424\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #353580; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #353580; font-weight: bold\">def</span> <span style=\"color: #2c2cff\">func</span>(x=<span style=\"color: #2c2cff\">42</span>):\n    d = {<span style=\"color: #7a2424\">&quot;xonsh&quot;</span>: <span style=\"color: #353580; font-weight: bold\">True</span>}\n    <span style=\"color: #353580; font-weight: bold\">return</span> d.get(<span style=\"color: #7a2424\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #008800; font-style: italic\"># This is a comment</span>\n<span style=\"color: #353580; font-weight: bold\">!</span>[env |<span style=\"color: #bbbbbb\"> </span>uniq |<span style=\"color: #bbbbbb\"> </span>sort |<span style=\"color: #bbbbbb\"> </span>grep PATH]\n</code></pre></div>" }
    , { name = "stata-dark", display = "<div class=\"highlight\" style=\"background: #232629; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #cccccc; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #7686bb; font-weight: bold\">import</span> sys\necho <span style=\"color: #51cc99\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #7686bb; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #7686bb; font-weight: bold\">def</span> <span style=\"color: #6a6aff\">func</span>(x=<span style=\"color: #4FB8CC\">42</span>):\n    d = {<span style=\"color: #51cc99\">&quot;xonsh&quot;</span>: <span style=\"color: #7686bb; font-weight: bold\">True</span>}\n    <span style=\"color: #7686bb; font-weight: bold\">return</span> d.get(<span style=\"color: #51cc99\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #777777; font-style: italic\"># This is a comment</span>\n<span style=\"color: #7686bb; font-weight: bold\">!</span>[env |<span style=\"color: #bbbbbb\"> </span>uniq |<span style=\"color: #bbbbbb\"> </span>sort |<span style=\"color: #bbbbbb\"> </span>grep PATH]\n</code></pre></div>" }
    , { name = "stata-light", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #111111; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #353580; font-weight: bold\">import</span> sys\necho <span style=\"color: #7a2424\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #353580; font-weight: bold\">@</span>(sys.platform)\n\n<span style=\"color: #353580; font-weight: bold\">def</span> <span style=\"color: #2c2cff\">func</span>(x=<span style=\"color: #2c2cff\">42</span>):\n    d = {<span style=\"color: #7a2424\">&quot;xonsh&quot;</span>: <span style=\"color: #353580; font-weight: bold\">True</span>}\n    <span style=\"color: #353580; font-weight: bold\">return</span> d.get(<span style=\"color: #7a2424\">&quot;xonsh&quot;</span>) and you\n\n<span style=\"color: #008800; font-style: italic\"># This is a comment</span>\n<span style=\"color: #353580; font-weight: bold\">!</span>[env |<span style=\"color: #bbbbbb\"> </span>uniq |<span style=\"color: #bbbbbb\"> </span>sort |<span style=\"color: #bbbbbb\"> </span>grep PATH]\n</code></pre></div>" }
    , { name = "tango", display = "<div class=\"highlight\" style=\"background: #f8f8f8; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #070707; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #204a87; font-weight: bold\">import</span> <span style=\"color: #000000\">sys</span>\n<span style=\"color: #000000\">echo</span> <span style=\"color: #4e9a06\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #204a87; font-weight: bold\">@</span><span style=\"color: #000000; font-weight: bold\">(</span><span style=\"color: #000000\">sys</span><span style=\"color: #ce5c00; font-weight: bold\">.</span><span style=\"color: #000000\">platform</span><span style=\"color: #000000; font-weight: bold\">)</span>\n\n<span style=\"color: #204a87; font-weight: bold\">def</span> <span style=\"color: #000000\">func</span><span style=\"color: #000000; font-weight: bold\">(</span><span style=\"color: #000000\">x</span><span style=\"color: #ce5c00; font-weight: bold\">=</span><span style=\"color: #0000cf; font-weight: bold\">42</span><span style=\"color: #000000; font-weight: bold\">):</span>\n    <span style=\"color: #000000\">d</span> <span style=\"color: #ce5c00; font-weight: bold\">=</span> <span style=\"color: #000000; font-weight: bold\">{</span><span style=\"color: #4e9a06\">&quot;xonsh&quot;</span><span style=\"color: #000000; font-weight: bold\">:</span> <span style=\"color: #204a87; font-weight: bold\">True</span><span style=\"color: #000000; font-weight: bold\">}</span>\n    <span style=\"color: #204a87; font-weight: bold\">return</span> <span style=\"color: #000000\">d</span><span style=\"color: #ce5c00; font-weight: bold\">.</span><span style=\"color: #000000\">get</span><span style=\"color: #000000; font-weight: bold\">(</span><span style=\"color: #4e9a06\">&quot;xonsh&quot;</span><span style=\"color: #000000; font-weight: bold\">)</span> <span style=\"color: #204a87; font-weight: bold\">and</span> <span style=\"color: #000000\">you</span>\n\n<span style=\"color: #8f5902; font-style: italic\"># This is a comment</span>\n<span style=\"color: #204a87; font-weight: bold\">!</span><span style=\"color: #000000; font-weight: bold\">[</span><span style=\"color: #204a87\">env</span> <span style=\"color: #000000; font-weight: bold\">|</span><span style=\"color: #f8f8f8; text-decoration: underline\"> </span><span style=\"color: #204a87\">uniq</span> <span style=\"color: #000000; font-weight: bold\">|</span><span style=\"color: #f8f8f8; text-decoration: underline\"> </span><span style=\"color: #204a87\">sort</span> <span style=\"color: #000000; font-weight: bold\">|</span><span style=\"color: #f8f8f8; text-decoration: underline\"> </span><span style=\"color: #204a87\">grep</span> PATH<span style=\"color: #000000; font-weight: bold\">]</span>\n</code></pre></div>" }
    , { name = "trac", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"font-weight: bold\">import</span> <span style=\"color: #555555\">sys</span>\necho <span style=\"color: #bb8844\">&quot;Welcome $USER on&quot;</span> <span style=\"font-weight: bold\">@</span>(sys<span style=\"font-weight: bold\">.</span>platform)\n\n<span style=\"font-weight: bold\">def</span> <span style=\"color: #990000; font-weight: bold\">func</span>(x<span style=\"font-weight: bold\">=</span><span style=\"color: #009999\">42</span>):\n    d <span style=\"font-weight: bold\">=</span> {<span style=\"color: #bb8844\">&quot;xonsh&quot;</span>: <span style=\"font-weight: bold\">True</span>}\n    <span style=\"font-weight: bold\">return</span> d<span style=\"font-weight: bold\">.</span>get(<span style=\"color: #bb8844\">&quot;xonsh&quot;</span>) <span style=\"font-weight: bold\">and</span> you\n\n<span style=\"color: #999988; font-style: italic\"># This is a comment</span>\n<span style=\"font-weight: bold\">!</span>[<span style=\"color: #999999\">env</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #999999\">uniq</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #999999\">sort</span> |<span style=\"color: #bbbbbb\"> </span><span style=\"color: #999999\">grep</span> PATH]\n</code></pre></div>" }
    , { name = "vim", display = "<div class=\"highlight\" style=\"background: #000000; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #cccccc; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #cd00cd\">import</span> <span style=\"color: #cccccc\">sys</span>\n<span style=\"color: #cccccc\">echo</span> <span style=\"color: #cd0000\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #cdcd00\">@</span><span style=\"color: #cccccc\">(sys</span><span style=\"color: #3399cc\">.</span><span style=\"color: #cccccc\">platform)</span>\n\n<span style=\"color: #cdcd00\">def</span> <span style=\"color: #cccccc\">func(x</span><span style=\"color: #3399cc\">=</span><span style=\"color: #cd00cd\">42</span><span style=\"color: #cccccc\">):</span>\n    <span style=\"color: #cccccc\">d</span> <span style=\"color: #3399cc\">=</span> <span style=\"color: #cccccc\">{</span><span style=\"color: #cd0000\">&quot;xonsh&quot;</span><span style=\"color: #cccccc\">:</span> <span style=\"color: #cdcd00\">True</span><span style=\"color: #cccccc\">}</span>\n    <span style=\"color: #cdcd00\">return</span> <span style=\"color: #cccccc\">d</span><span style=\"color: #3399cc\">.</span><span style=\"color: #cccccc\">get(</span><span style=\"color: #cd0000\">&quot;xonsh&quot;</span><span style=\"color: #cccccc\">)</span> <span style=\"color: #cdcd00\">and</span> <span style=\"color: #cccccc\">you</span>\n\n<span style=\"color: #000080\"># This is a comment</span>\n<span style=\"color: #cdcd00\">!</span><span style=\"color: #cccccc\">[</span><span style=\"color: #cd00cd\">env</span> <span style=\"color: #cccccc\">| </span><span style=\"color: #cd00cd\">uniq</span> <span style=\"color: #cccccc\">| </span><span style=\"color: #cd00cd\">sort</span> <span style=\"color: #cccccc\">| </span><span style=\"color: #cd00cd\">grep</span> PATH<span style=\"color: #cccccc\">]</span>\n</code></pre></div>" }
    , { name = "vs", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #0000ff\">import</span> sys\necho <span style=\"color: #a31515\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #0000ff\">@</span>(sys.platform)\n\n<span style=\"color: #0000ff\">def</span> func(x=42):\n    d = {<span style=\"color: #a31515\">&quot;xonsh&quot;</span>: <span style=\"color: #0000ff\">True</span>}\n    <span style=\"color: #0000ff\">return</span> d.get(<span style=\"color: #a31515\">&quot;xonsh&quot;</span>) <span style=\"color: #0000ff\">and</span> you\n\n<span style=\"color: #008000\"># This is a comment</span>\n<span style=\"color: #0000ff\">!</span>[env | uniq | sort | grep PATH]\n</code></pre></div>" }
    , { name = "xcode", display = "<div class=\"highlight\" style=\"background: #ffffff; border-style: solid; border-radius: 5px\"><pre style=\"margin: 0em; padding: 0.5em 0.1em; color: #000000; line-height: 125%; margin: 0;\"><span></span><code><span style=\"color: #A90D91\">import</span> <span style=\"color: #000000\">sys</span>\n<span style=\"color: #000000\">echo</span> <span style=\"color: #C41A16\">&quot;Welcome $USER on&quot;</span> <span style=\"color: #A90D91\">@</span>(<span style=\"color: #000000\">sys.platform</span>)\n\n<span style=\"color: #A90D91\">def</span> <span style=\"color: #000000\">func</span>(<span style=\"color: #000000\">x=</span><span style=\"color: #1C01CE\">42</span>):\n    <span style=\"color: #000000\">d</span> <span style=\"color: #000000\">=</span> {<span style=\"color: #C41A16\">&quot;xonsh&quot;</span>: <span style=\"color: #A90D91\">True</span>}\n    <span style=\"color: #A90D91\">return</span> <span style=\"color: #000000\">d.get</span>(<span style=\"color: #C41A16\">&quot;xonsh&quot;</span>) <span style=\"color: #000000\">and</span> <span style=\"color: #000000\">you</span>\n\n<span style=\"color: #177500\"># This is a comment</span>\n<span style=\"color: #A90D91\">!</span>[<span style=\"color: #A90D91\">env</span> | <span style=\"color: #A90D91\">uniq</span> | <span style=\"color: #A90D91\">sort</span> | <span style=\"color: #A90D91\">grep</span> PATH]\n</code></pre></div>" }
    ]

type alias XontribData =
    { name : String
    , url : String
    , license : String
    , description : String
    }

xontribs : List XontribData
xontribs =
    [ { name = "abbrevs", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Adds <span class=\"docutils literal\">abbrevs</span> dictionary to hold user-defined command abbreviations. The dictionary is searched as you type and the matching words are replaced at the command line by the corresponding dictionary contents once you hit 'Space' or 'Return' key. For instance a frequently used command such as <span class=\"docutils literal\">git status</span> can be abbreviated to <span class=\"docutils literal\">gst</span> as follows:</p>\n<pre class=\"literal-block\">$ xontrib load abbrevs\n$ abbrevs['gst'] = 'git status'\n$ gst # Once you hit &lt;space&gt; or &lt;return&gt;, 'gst' gets expanded to 'git status'.</pre>" }
    , { name = "apt_tabcomplete", url = "https://github.com/DangerOnTheRanger/xonsh-apt-tabcomplete", license = "BSD 2-clause", description = "<p>Adds tabcomplete functionality to apt-get/apt-cache inside of xonsh.</p>" }
    , { name = "argcomplete", url = "https://github.com/anki-code/xontrib-argcomplete", license = "", description = "<p>Argcomplete support to tab completion of python and xonsh scripts in xonsh.</p>" }
    , { name = "autojump", url = "https://github.com/wshanks/xontrib-autojump", license = "", description = "<p>autojump support for xonsh</p>" }
    , { name = "autovox", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Manages automatic activation of virtual environments.</p>" }
    , { name = "autoxsh", url = "https://github.com/Granitas/xonsh-autoxsh", license = "GPLv3", description = "<p>Adds automatic execution of xonsh script files called <span class=\"docutils literal\">.autoxsh</span> when enterting a directory with <span class=\"docutils literal\">cd</span> function</p>" }
    , { name = "avox", url = "https://github.com/AstraLuma/xontrib-avox", license = "GPLv3", description = "<p>Automatic (de)activation of virtual environments as you cd around</p>" }
    , { name = "bashisms", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Enables additional Bash-like syntax while at the command prompt. For example, the <span class=\"docutils literal\">!!</span> syntax for running the previous command is now usable. Note that these features are implemented as precommand events and these additions do not affect the xonsh language when run as script. That said, you might find them useful if you have strong muscle memory.</p>\n<p><strong>Warning:</strong> This xontrib may modify user command line input to implement its behavior. To see the modifications as they are applied (in unified diffformat), please set <span class=\"docutils literal\">$XONSH_DEBUG</span> to <span class=\"docutils literal\">2</span> or higher.</p>\n<p>The xontrib also adds commands: <span class=\"docutils literal\">alias</span>, <span class=\"docutils literal\">export</span>, <span class=\"docutils literal\">unset</span>, <span class=\"docutils literal\">set</span>, <span class=\"docutils literal\">shopt</span>, <span class=\"docutils literal\">complete</span>.</p>" }
    , { name = "base16_shell", url = "https://github.com/ErickTucto/xontrib-base16-shell", license = "", description = "<p>Change base16 shell themes</p>" }
    , { name = "coreutils", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Additional core utilities that are implemented in xonsh. The current list includes:</p>\n<ul class=\"simple\">\n<li><p>cat</p></li>\n<li><p>echo</p></li>\n<li><p>pwd</p></li>\n<li><p>tee</p></li>\n<li><p>tty</p></li>\n<li><p>yes</p></li>\n</ul>\n<p>In many cases, these may have a lower performance overhead than the posix command line utility with the same name. This is because these tools avoid the need for a full subprocess call. Additionally, these tools are cross-platform.</p>" }
    , { name = "direnv", url = "https://github.com/74th/xonsh-direnv", license = "MIT", description = "<p>Supports direnv.</p>" }
    , { name = "hist_navigator", url = "https://github.com/jnoortheen/xontrib-hist-navigator", license = "", description = "<p>Move through directory history with nextd and prevd also with keybindings.</p>" }
    , { name = "distributed", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>The distributed parallel computing library hooks for xonsh. Importantly this provides a substitute 'dworker' command which enables distributed workers to have access to xonsh builtins.</p>\n<p>Furthermore, this xontrib adds a 'DSubmitter' context manager for executing a block remotely. Moreover, this also adds a convenience function 'dsubmit()' for creating DSubmitter and Executor instances at the same time. Thus users may submit distributed jobs with:</p>\n<pre class=\"literal-block\">with dsubmit('127.0.0.1:8786', rtn='x') as dsub:\n    x = $(echo I am elsewhere)\n\nres = dsub.future.result()\nprint(res)</pre>\n<p>This is useful for long running or non-blocking jobs.</p>" }
    , { name = "docker_tabcomplete", url = "https://github.com/xsteadfastx/xonsh-docker-tabcomplete", license = "MIT", description = "<p>Adds tabcomplete functionality to docker inside of xonsh.</p>" }
    , { name = "free_cwd", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Windows only xontrib, to release the lock on the current directory whenever the prompt is shown. Enabling this will allow the other programs or Windows Explorer to delete or rename the current or parent directories. Internally, it is accomplished by temporarily resetting CWD to the root drive folder while waiting at the prompt. This only works with the prompt_toolkit backend and can cause cause issues if any extensions are enabled that hook the prompt and relies on <span class=\"docutils literal\">os.getcwd()</span></p>" }
    , { name = "fzf-widgets", url = "https://github.com/laloch/xontrib-fzf-widgets", license = "GPLv3", description = "<p>Adds some fzf widgets to your xonsh shell.</p>" }
    , { name = "histcpy", url = "https://github.com/con-f-use/xontrib-histcpy", license = "GPLv3", description = "<p>Useful aliases and shortcuts for extracting links and textfrom command output history and putting them into the clipboard.</p>" }
    , { name = "jedi", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Use Jedi as xonsh's python completer.</p>" }
    , { name = "kitty", url = "https://github.com/scopatz/xontrib-kitty", license = "BSD-3-Clause", description = "<p>Xonsh hooks for the Kitty terminal emulator.</p>" }
    , { name = "mpl", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Matplotlib hooks for xonsh, including the new 'mpl' alias that displays the current figure on the screen.</p>" }
    , { name = "output_search", url = "https://github.com/anki-code/xontrib-output-search", license = "", description = "<p>Get identifiers, names, paths, URLs and words from the previous command output and use them for the next command.</p>" }
    , { name = "onepath", url = "https://github.com/anki-code/xontrib-onepath", license = "", description = "<p>When you click to a file or folder in graphical OS they will be opened in associated app.The xontrib-onepath brings the same logic for the xonsh shell. Type the filename or pathwithout preceding command and an associated action will be executed. The actions are customizable.</p>" }
    , { name = "pdb", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Simple built-in debugger. Runs pdb on reception of SIGUSR1 signal.</p>" }
    , { name = "pipeliner", url = "https://github.com/anki-code/xontrib-pipeliner", license = "", description = "<p>Let your pipe lines flow thru the Python code in xonsh.</p>" }
    , { name = "powerline", url = "https://github.com/santagada/xontrib-powerline", license = "MIT", description = "<p>Powerline for Xonsh shell</p>" }
    , { name = "prompt_bar", url = "https://github.com/anki-code/xontrib-prompt-bar", license = "", description = "<p>An elegance bar style for prompt.</p>" }
    , { name = "powerline-binding", url = "https://github.com/dyuri/xontrib-powerline-binding", license = "MIT", description = "<p>Uses powerline to render the xonsh prompt</p>" }
    , { name = "prompt_ret_code", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Adds return code info to the prompt</p>" }
    , { name = "prompt_vi_mode", url = "https://github.com/t184256/xontrib-prompt-vi-mode", license = "MIT", description = "<p>vi-mode status formatter for xonsh prompt</p>" }
    , { name = "pyenv", url = "https://github.com/dyuri/xontrib-pyenv", license = "MIT", description = "<p>pyenv integration for xonsh.</p>" }
    , { name = "readable-traceback", url = "https://github.com/6syun9/xontrib-readable-traceback", license = "MIT", description = "<p>Make traceback easier to see for xonsh.</p>" }
    , { name = "schedule", url = "https://github.com/AstraLuma/xontrib-schedule", license = "MIT", description = "<p>Xonsh Task Scheduling</p>" }
    , { name = "scrapy_tabcomplete", url = "https://github.com/Granitas/xonsh-scrapy-tabcomplete", license = "GPLv3", description = "<p>Adds tabcomplete functionality to scrapy inside of xonsh.</p>" }
    , { name = "ssh_agent", url = "https://github.com/dyuri/xontrib-ssh-agent", license = "MIT", description = "<p>ssh-agent integration</p>" }
    , { name = "vox", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Python virtual environment manager for xonsh.</p>" }
    , { name = "vox_tabcomplete", url = "https://github.com/Granitosaurus/xonsh-vox-tabcomplete", license = "GPLv3", description = "<p>Adds tabcomplete functionality to vox inside of xonsh.</p>" }
    , { name = "whole_word_jumping", url = "http://xon.sh", license = "BSD 3-clause", description = "<p>Jumping across whole words (non-whitespace) with Ctrl+Left/Right. Alt+Left/Right remains unmodified to jump over smaller word segments. Shift+Delete removes the whole word.</p>" }
    , { name = "xo", url = "https://github.com/scopatz/xo", license = "WTFPL", description = "<p>Adds an 'xo' alias to run the exofrills text editor in the current Python interpreter session. This shaves off a bit of the startup time when running your favorite, minimal text editor.</p>" }
    , { name = "xpg", url = "https://github.com/fengttt/xsh/tree/master/py", license = "Apache", description = "<p>Run/plot/explain sql query for PostgreSQL.</p>" }
    , { name = "z", url = "https://github.com/AstraLuma/xontrib-z", license = "GPLv3", description = "<p>Tracks your most used directories, based on 'frecency'.</p>" }
    ]
